function [maxd,I] = maxdisterr(positions,R1,T1,R2,T2)

%  function maxd = maxdisterr(positions,R1,T1,R2,T2)

nverts = size(positions,2);

pos1 = vgg_rotmat_from_exp(R1)*positions + repmat(T1(:),[1 nverts]);
pos2 = vgg_rotmat_from_exp(R2)*positions + repmat(T2(:),[1 nverts]);

d2 = sum((pos1-pos2).^2);
[maxd2,I] = max(d2);
maxd = sqrt(maxd2);
